<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Learning Page</title>
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <style>
        body {
            background-color: #f8f9fa;
        }
        header, footer {
            background-color: #007bff;
            color: #ffffff;
            padding: 10px 0;
        }
        h1, h2 {
            color: #343a40;
        }
        .xml-display, .json-display {
            background-color: #e9ecef;
            border-radius: 5px;
            padding: 20px;
            margin-top: 20px;
        }
    </style>
</head>
<body>
    <div id="app" class="container">
        <header class="text-center">
            <h1>Welcome to the Comprehensive Learning Page</h1>
        </header>
        
        <section class="my-5">
            <h2>Vue.js Interactive Example</h2>
            <p>{{ vueMessage }}</p>
            <input v-model="vueMessage" class="form-control" placeholder="Type something...">
        </section>
        
        <section class="my-5">
            <h2>JSON Data Display</h2>
            <div class="json-display">{{ prettyJson }}</div>
        </section>
        
        <section class="my-5">
            <h2>Bootstrap Table</h2>
            <table class="table">
                <thead class="thead-dark">
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">Name</th>
                        <th scope="col">Role</th>
                        <th scope="col">Language</th>
                    </tr>
                </thead>
                <tbody>
                    <tr v-for="(person, index) in people" :key="person.id">
                        <th scope="row">{{ index + 1 }}</th>
                        <td>{{ person.name }}</td>
                        <td>{{ person.role }}</td>
                        <td>{{ person.language }}</td>
                    </tr>
                </tbody>
            </table>
        </section>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2.6.12/dist/vue.js"></script>
    <script>
        new Vue({
            el: '#app',
            data: {
                vueMessage: 'Hello from Vue.js!',
                json: {
                    "people": [
                        {"id": 1, "name": "Alice", "role": "Developer", "language": "JavaScript"},
                        {"id": 2, "name": "Bob", "role": "Designer", "language": "HTML & CSS"},
                        {"id": 3, "name": "Charlie", "role": "Tester", "language": "Python"}
                    ]
                },
                people: [
                    {id: 1, name: "Alice", role: "Developer", language: "JavaScript"},
                    {id: 2, name: "Bob", role: "Designer", language: "HTML & CSS"},
                    {id: 3, "name": "Charlie", "role": "Tester", "language": "Python"}
                ]
            },
            computed: {
                prettyJson: function() {
                    return JSON.stringify(this.json, null, 2);
                }
            }
        });
    </script>
</body>
</html>